//-----------------------------------------------------------------------------
//
//  $Logfile:: /Source/vid.h                                                  $
// $Revision:: 4                                                              $
//   $Author:: Burgermac                                                      $
//     $Date:: 8/21/01 6:05 PM                                                $
//
// Copyright (C) 1998 by Ritual Entertainment, Inc.
// All rights reserved.
//
// This source is may not be distributed and/or modified without
// expressly written permission by Ritual Entertainment, Inc.
//
// DESCRIPTION:
// video driver defs
//

#ifndef __VID_H__
#define __VID_H__

#ifdef __cplusplus
extern "C" {
#endif

typedef struct vrect_t {
	int x,y,width,height;
} vrect_t;

typedef struct viddef_t {
	int width;		
	int	height;
} viddef_t;

extern viddef_t viddef;				// global video state

// Video module initialisation etc
extern void ToggleVoodoo(int mybool);
extern void	VID_Init (void);
extern void	VID_Shutdown (void);
extern void	VID_CheckChanges (void);

extern void	VID_MenuInit( void );
extern void	VID_MenuDraw( void );
extern const char *VID_MenuKey( int );
extern int VID_IsFullscreen(void);
extern void Do_Key_Event_Down(int key);
extern void Do_Key_Event_Up(int key);

#ifdef __cplusplus
}
#endif

#endif
